This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474639 - Remove NSS dependency on "pkcs11-devel" and upgrade NSS/NSPR version dependencies
Remove NSS dependency on "pkcs11-devel" and upgrade NSS/NSPR version dependen...
Status: CLOSED ERRATA
Product: Dogtag Certificate System
Classification: Community
Component: Infrastructure (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Harmsen
Chandrasekar Kannan
:
Depends On: 320641
Blocks: 443788
  Show dependency treegraph
 
Reported: 2008-12-04 13:37 EST by Matthew Harmsen
Modified: 2015-01-04 18:35 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-22 19:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Dogtag spec file changes (13.27 KB, text/plain)
2008-12-04 16:34 EST, Matthew Harmsen
no flags Details

  None (edit)
Description Matthew Harmsen 2008-12-04 13:37:18 EST
While upgrading to NSS 3.12, it was discovered that some platforms no longer build/provide a separate "nss-pkcs11-devel" package (on these platforms, it has been integrated inside the "nss-devel" package).

In speaking with NSS folks, it was determined that there should be no need to include "nss-pkcs11-devel" as a dependency on any of our packages.

Therefore, this bug addresses the following issues:

(1) remove all "nss-pkcs11-devel" dependencies,
(2) update all NSPR & NSPR-DEVEL dependencies to >= 4.6.99
(3) update all NSS & NSS-DEVEL dependencies to >= 3.12.0
Comment 1 Matthew Harmsen 2008-12-04 16:34:28 EST
Created attachment 325748 [details]
Dogtag spec file changes
Comment 3 Andrew Wnuk 2008-12-04 16:55:28 EST
attachment (id=325748) +awnuk
Comment 5 Matthew Harmsen 2008-12-04 17:07:57 EST
svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M      dogtag/osutil/osutil.spec
M      dogtag/symkey/symkey.spec
M      dogtag/native-tools/pki-native-tools.spec
M      dogtag/scripts/prepare_ca
M      dogtag/scripts/prepare_pki
M      dogtag/tps/pki-tps.spec

svn commit
Sending        dogtag/native-tools/pki-native-tools.spec
Sending        dogtag/osutil/osutil.spec
Sending        dogtag/scripts/prepare_ca
Sending        dogtag/scripts/prepare_pki
Sending        dogtag/symkey/symkey.spec
Sending        dogtag/tps/pki-tps.spec
Transmitting file data ......
Committed revision 162.

Note You need to log in before you can comment on or make changes to this bug.